python-pyme_0.8.1-2build1_amd64.deb


Advertisement

Description

python-pyme - Python interface to the GPGME GnuPG encryption library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pyme
Package version: 0.8.1
Package release: 2build1
Package architecture: amd64
Package type: deb
Installed size: 1.05 KB
Download size: 164.82 KB
Official Mirror: archive.ubuntu.com
Pyme is, for the most part, a direct interface to the C GPGME library. However, it is re-packaged in a more Pythonic way -- object-oriented with classes and modules. Take a look at the classes defined here -- they correspond directly to certain object types in GPGME for C. Features: * Feature-rich, full implementation of the GPGME library. Supports all GPGME features except interactive editing (coming soon). Callback functions may be written in pure Python. * Ability to sign, encrypt, decrypt, and verify data. * Ability to list keys, export and import keys, and manage the keyring. * Fully object-oriented with convenient classes and modules.

Alternatives

Provides

  • python2.7-pyme

    Download

    Source package: pyme

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pyme deb package:
      # sudo apt-get install python-pyme

    Files

    • /usr/lib/pyshared/python2.7/pyme/_pygpgme.so
    • /usr/lib/python2.7/dist-packages/pygpgme-0.8.1.egg-info
    • /usr/lib/python2.7/dist-packages/pyme/__init__.py
    • /usr/lib/python2.7/dist-packages/pyme/_pygpgme.so
    • /usr/lib/python2.7/dist-packages/pyme/callbacks.py
    • /usr/lib/python2.7/dist-packages/pyme/core.py
    • /usr/lib/python2.7/dist-packages/pyme/errors.py
    • /usr/lib/python2.7/dist-packages/pyme/pygpgme.py
    • /usr/lib/python2.7/dist-packages/pyme/util.py
    • /usr/lib/python2.7/dist-packages/pyme/version.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/__init__.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/event.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/import.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/md.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/pk.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/protocol.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/sigsum.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/status.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/validity.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/data/__init__.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/data/encoding.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/keylist/__init__.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/keylist/mode.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/sig/__init__.py
    • /usr/lib/python2.7/dist-packages/pyme/constants/sig/mode.py
    • /usr/share/doc/python-pyme/README.Debian
    • /usr/share/doc/python-pyme/changelog.Debian.gz
    • /usr/share/doc/python-pyme/copyright
    • /usr/share/doc/python-pyme/examples/PyGtkGpgKeys.glade
    • /usr/share/doc/python-pyme/examples/PyGtkGpgKeys.py
    • /usr/share/doc/python-pyme/examples/delkey.py
    • /usr/share/doc/python-pyme/examples/encrypt-to-all.py
    • /usr/share/doc/python-pyme/examples/exportimport.py
    • /usr/share/doc/python-pyme/examples/genkey.py
    • /usr/share/doc/python-pyme/examples/hangtest.py
    • /usr/share/doc/python-pyme/examples/inter-edit.py
    • /usr/share/doc/python-pyme/examples/listkeys.py
    • /usr/share/doc/python-pyme/examples/pygpa.glade
    • /usr/share/doc/python-pyme/examples/pygpa.py
    • /usr/share/doc/python-pyme/examples/sign.py
    • /usr/share/doc/python-pyme/examples/signverify.py
    • /usr/share/doc/python-pyme/examples/simple.py
    • /usr/share/doc/python-pyme/examples/t-edit.py
    • /usr/share/doc/python-pyme/examples/testCMSgetkey.py
    • /usr/share/doc/python-pyme/examples/verifydetails.py
    • /usr/share/pyshared/pygpgme-0.8.1.egg-info
    • /usr/share/pyshared/pyme/__init__.py
    • /usr/share/pyshared/pyme/callbacks.py
    • /usr/share/pyshared/pyme/core.py
    • /usr/share/pyshared/pyme/errors.py
    • /usr/share/pyshared/pyme/pygpgme.py
    • /usr/share/pyshared/pyme/util.py
    • /usr/share/pyshared/pyme/version.py
    • /usr/share/pyshared/pyme/constants/__init__.py
    • /usr/share/pyshared/pyme/constants/event.py
    • /usr/share/pyshared/pyme/constants/import.py
    • /usr/share/pyshared/pyme/constants/md.py
    • /usr/share/pyshared/pyme/constants/pk.py
    • /usr/share/pyshared/pyme/constants/protocol.py
    • /usr/share/pyshared/pyme/constants/sigsum.py
    • /usr/share/pyshared/pyme/constants/status.py
    • /usr/share/pyshared/pyme/constants/validity.py
    • /usr/share/pyshared/pyme/constants/data/__init__.py
    • /usr/share/pyshared/pyme/constants/data/encoding.py
    • /usr/share/pyshared/pyme/constants/keylist/__init__.py
    • /usr/share/pyshared/pyme/constants/keylist/mode.py
    • /usr/share/pyshared/pyme/constants/sig/__init__.py
    • /usr/share/pyshared/pyme/constants/sig/mode.py

    Changelog

    2011-12-31 - Matthias Klose <doko@ubuntu.com> pyme (1:0.8.1-2build1) precise; urgency=low * Rebuild to drop python2.6 dependencies.

    2011-04-18 - Arnaud Fontaine <arnau@debian.org> pyme (1:0.8.1-2) unstable; urgency=low * debian/control: + Bump Standards-Version to 3.9.2. No changes needed. * Switch to dpkg-source 3.0 (quilt) format. + Update debian/source/format accordingly. + No need to remove manually debian/ from the upstream source tarball. + Add debian/patches/fix_setup_dash_ftbfs.patch including changes on setup.py previously found in diff.gz. + debian/control: - Remove Build-Depends on quilt. + debian/rules: - Do not include patchsys-quilt.mk anymore. * Use dh_python2 rather than now deprecated dh_pycentral. Closes: #616934. + debian/control: - Rename now deprecated XS-Python-Version to X-Python-Version. - Remove now deprecated XB-Python-Version. - Bump cdbs version to 0.4.90-1~. - Bump python-all-dev version to 2.6.6-3~. - Remove Build-Depends on python-central. + debian/rules: - Remove DEB_PYTHON_SYSTEM.

    2010-08-23 - Jakub Wilk <jwilk@debian.org> pyme (0.8.1+clean-4) unstable; urgency=low * Team upload. * debian/patches: + Add fix_import_error.patch to fix import error with Python >= 2.6 (closes: #589382). Thanks to Martin Manns for the bug report and to Uldis Ansmits for the patch. * debian/control: + Update Standards-Version to 3.9.1. No changes needed.

    2009-10-27 - Arnaud Fontaine <arnau@debian.org> pyme (0.8.1+clean-3) unstable; urgency=low * debian/patches: + Add add_missing_check_version.patch to fix breakage in signing. Thanks to Marek Hulán. Closes: #550596.

    2009-10-09 - Arnaud Fontaine <arnau@debian.org> pyme (0.8.1+clean-2) unstable; urgency=low [ Arnaud Fontaine ] * debian/patches: + Add build_with_lfs.patch as required by libgpgme. Closes: #546679. * Use quilt to manage patches. * debian/copyright: + Update copyright years. * debian/control: + Drop now useless Conflicts and Replaces. + Update Standards-Version to 3.8.3. - Add README.source. + Add ${misc:Depends} to python-pyme and python-pyme-doc Depends in case the result of a call to debhelper tools adds extra dependencies. [ Sandro Tosi ] * debian/control: + Switch Vcs-Browser field to viewsvn.

    2008-12-02 - Arnaud Fontaine <arnau@debian.org> pyme (0.8.1+clean-1) unstable; urgency=low * New upstream release. + Update 01_makefile.patch as a part of the diff has been merged upstream. * Get rid of debian/ directory in upstream source and add a note about that in debian/copyright.

    2008-08-15 - Arnaud Fontaine <arnau@debian.org> pyme (0.8.0-2) unstable; urgency=low * Apply patch which fixes FTBFS with dash. Thanks to Adrien Cunin. Closes: #493110.

    2008-06-30 - Arnaud Fontaine <arnau@debian.org> pyme (0.8.0-1) unstable; urgency=low * New upstream release. * debian/control: + Update Standards-Version to 3.8.0. + Wrap Uploaders and Build-Depends fields. * debian/copyright: + Update copyright years. * debian/patches: + Drop 02_gpgme.patch because it has been applied upstream. + Update 01_makefile.patch.

    2008-02-23 - Arnaud Fontaine <arnau@debian.org> pyme (0.7.0-4) unstable; urgency=low [ Arnaud Fontaine ] * New email address. * debian/control: + Update Standards-Version to 3.7.3. No changes needed. [ Piotr Ożarowski ] * debian/control: + Vcs-Svn, Vcs-Browser and Homepage fields added (dpkg support them now). [ Sandro Tosi ] * debian/control - Uniforming Vcs-Browser field.

    Advertisement
    Advertisement